Bug 1914196

Summary: target port in `from dockerfile` flow does nothing
Product: OpenShift Container Platform Reporter: Mohammed Saud <msaud>
Component: Dev ConsoleAssignee: Mohammed Saud <msaud>
Status: CLOSED ERRATA QA Contact: Gajanan More <gamore>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.7CC: aos-bugs, divgupta, nmukherj
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:51:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mohammed Saud 2021-01-08 10:41:15 UTC
Description of problem:
When using the `from dockerfile` add flow, there are 2 similar fields that are used to specify which port the application is listening on:

dockerfile -> container port

route -> target port

No matter what value is entered for the `target port`, it is never persisted anywhere.

It seems like


Steps to Reproduce

    go to +Add => `from dockerfile`
    Enter git URL https://github.com/rohitkrai03/flask-dockerfile-example
    Enter docker container port 5000
    open routing advanced options
    Enter target port 1234
    Complete form


Actual results:
Service is created with port equal to container port.

No where in the deployment or service is the target port 1234 used.


Expected results:
Container port and target port are the same thing in the form and therefore should be treated as such. They should probably share the same value in the form data.


Reproducibility (Always/Intermittent/Only Once):
always


Build Details:
4.6.0-0.nightly-2020-09-16-062819

Comment 2 divgupta 2021-01-13 12:16:41 UTC
Verified this on -

Build: 4.7.0-0.nightly-2021-01-13-054018

Browser: Chrome

Marking this as done.

Comment 5 errata-xmlrpc 2021-02-24 15:51:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633